GameScreen.textures_path = "graphics/screens/05_security/zoom/"

function GameScreen:RestoreScene()  
end

function GameScreen:InitScreen()
    self:LoadScreen()
    
    SoundPlay("sound/small_metal_door.ogg")
    
    self:RestoreScene()   
end


function GameScreen:LoadScreen()
	--[[---Background---]]--
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "back_trigger", "graphics/trigger", 0, 0, WINDOW_WIDTH, WINDOW_HEIGHT);
	ItemSetOpacity("back_trigger", 0.7)
	
	self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "zoom_back", "graphics/screens/05_security/zoom/fuse_door_zoom", 341, 91);
	
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "fuse_15", "graphics/screens/05_security/zoom/fuse_15_part", 986, 515);
    
    self:CreateObj(OBJ_TYPE.ACTIVE_ALL, "zoom_close", "graphics/interface/hud/continue_zoom", 667, 892);
	
	clScreenManager:add_screen("hud") 
end